Last Comment Bug 295542 - Add New -> Saved Search in mail window file menu
: Add New -> Saved Search in mail window file menu
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Ian Neal
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-25 16:56 PDT by Ian Neal
Modified: 2005-06-09 14:42 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v0.1 (10.88 KB, patch)
2005-05-25 17:24 PDT, Ian Neal
no flags Details | Diff | Review
Full patch v0.1a (11.85 KB, patch)
2005-05-30 13:02 PDT, Ian Neal
mnyromyr: review+
Details | Diff | Review
Patch including removals v0.1b (24.12 KB, patch)
2005-06-04 14:54 PDT, Ian Neal
mnyromyr: review+
mozilla: superreview+
asa: approval1.8b3+
Details | Diff | Review

Description Ian Neal 2005-05-25 16:56:12 PDT
TB currently has under its file menu, New -> Saved Search
This should probably be added for mailnews too.
Comment 1 Ian Neal 2005-05-25 17:24:46 PDT
Created attachment 184555 [details] [diff] [review]
Patch v0.1

This patch:
* Adds New -> Saved Search option to File menu in mailnews
* Does other bits relating to bug 261199 that only went into TB and not
mailnews
Comment 2 Ian Neal 2005-05-30 13:02:47 PDT
Created attachment 184872 [details] [diff] [review]
Full patch v0.1a

Changes since v0.1:
* diff now includes relevant changes to messenger.properties
Comment 3 Karsten Düsterloh 2005-05-30 17:36:17 PDT
Comment on attachment 184872 [details] [diff] [review]
Full patch v0.1a

>Index: locale/en-US/messenger.dtd
>===================================================================
>-<!ENTITY saveAsVirtualFolderMenu.label "Save as Virtual Folder">
>+<!ENTITY saveAsVirtualFolderMenu.label "Save Search as a Folder...">

What's this for?
We don't have anything like
<http://lxr.mozilla.org/mozilla/source/mail/base/content/mailWindowOverlay.xul#
1919> in SeaMonkey (yet?) and TB has its own DTD for that...
(And I wonder who introduced these layout-destructive +/- buttons in the Saved
Search dialog - but that's not part of this bug here...)
Comment 4 Ian Neal 2005-05-31 03:47:55 PDT
(In reply to comment #3)
> (From update of attachment 184872 [details] [diff] [review] [edit])
> >Index: locale/en-US/messenger.dtd
> >===================================================================
> >-<!ENTITY saveAsVirtualFolderMenu.label "Save as Virtual Folder">
> >+<!ENTITY saveAsVirtualFolderMenu.label "Save Search as a Folder...">
> 
> What's this for?
Hmmm, this is probably left over from when we shared locale files with TB. Okay
to remove completely as part of the checkin?

Looks like we could completely remove virtualfoldername.xul,
virtualFolderName.dtd and virtualFolderName.js from the tree too as part of this
bug. There are also the last three entities that could be removed from
renameFolderDialog.dtd - maybe I should spin a new patch?
Comment 5 Karsten Düsterloh 2005-06-02 05:34:19 PDT
> > What's this for?
> Hmmm, this is probably left over from when we shared locale files with TB.
> Okay to remove completely as part of the checkin?

We probably want to backport that TB stuff also, but since that has moved to
another file, it'd have to move from here anyway, so this'll okay, I'd say.

> Looks like we could completely remove virtualfoldername.xul,
> virtualFolderName.dtd and virtualFolderName.js from the tree too as part
> of this bug.

Yes. That'd require changes to some /mail/*/jar.mn files to avoid build bustage,
so we should get David on board, eg as (s)r for at least the /mail part.

> There are also the last three entities that could be removed from
> renameFolderDialog.dtd

Yes. This, too, could/should be done for TB accordingly (but no bustage danger
here AFAICT).

> - maybe I should spin a new patch?

Yes.
Comment 6 Ian Neal 2005-06-04 14:54:18 PDT
Created attachment 185358 [details] [diff] [review]
Patch including removals v0.1b

Changes since v0.1a:
* Removed unused files (virtualFolder.xul/js/dtd) from mail and mailnews jars
* Removed unused entities in renameFolderDialog.dtd from mail and mailnews
* Removed unused entity in messenger.dtd

As well as this patch would have to cvs remove virtualFolder.xul/js/dtd from
mail and mailnews areas.

Once I get a review, I will ask David for sr
Comment 7 Ian Neal 2005-06-06 04:44:40 PDT
Comment on attachment 185358 [details] [diff] [review]
Patch including removals v0.1b

Requesting a= for fairly low risk patch for suite and a= for low risk removal
of unused files in TB
Comment 8 Ian Neal 2005-06-07 16:31:46 PDT
Comment on attachment 185358 [details] [diff] [review]
Patch including removals v0.1b

Checking in mailnews/jar.mn;
new revision: 1.96; previous revision: 1.95
Checking in mailnews/base/resources/content/commandglue.js;
new revision: 1.257; previous revision: 1.256
Checking in mailnews/base/resources/content/mailWindowOverlay.js;
new revision: 1.219; previous revision: 1.218
Checking in mailnews/base/resources/content/mailWindowOverlay.xul;
new revision: 1.295; previous revision: 1.294
Checking in mailnews/base/resources/content/msgMail3PaneWindow.js;
new revision: 1.281; previous revision: 1.280
Checking in mailnews/base/resources/content/searchBar.js;
new revision: 1.42; previous revision: 1.41
Removing mailnews/base/resources/content/virtualFolderName.js;
new revision: delete; previous revision: 1.2
Removing mailnews/base/resources/content/virtualFolderName.xul;
new revision: delete; previous revision: 1.2
Checking in mailnews/base/resources/locale/en-US/messenger.dtd;
new revision: 1.200; previous revision: 1.199
Checking in mailnews/base/resources/locale/en-US/messenger.properties;
new revision: 1.119; previous revision: 1.118
Checking in mailnews/base/resources/locale/en-US/renameFolderDialog.dtd;
new revision: 1.5; previous revision: 1.4
Removing mailnews/base/resources/locale/en-US/virtualFolderName.dtd;
new revision: delete; previous revision: 1.3
Checking in mailnews/base/resources/locale/en-US/virtualFolderProperties.dtd;
new revision: 1.4; previous revision: 1.3
Checking in mail/base/jar.mn;
new revision: 1.79; previous revision: 1.78
Checking in mail/locales/jar.mn;
new revision: 1.29; previous revision: 1.28
Checking in mail/locales/en-US/chrome/messenger/renameFolderDialog.dtd;
new revision: 1.4; previous revision: 1.3
done
Comment 9 Stephen Donner [:stephend] 2005-06-09 14:42:18 PDT
Verified FIXED using build 2005-06-09-06 on Windows XP Seamonkey trunk.

The UI feature has been implemented.

Note You need to log in before you can comment on or make changes to this bug.